summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-08-09 11:18:02 +0200
committerMichał Górny <mgorny@gentoo.org>2020-08-09 11:26:47 +0200
commit2a7c2347993cd4a2723b3a0177e4efde889016ef (patch)
tree2e49c71af28bde47de39e37e115d1d3d3860e058
parentapp-shells/push: Bump to 3.3 (diff)
downloadgentoo-2a7c2347993cd4a2723b3a0177e4efde889016ef.tar.gz
gentoo-2a7c2347993cd4a2723b3a0177e4efde889016ef.tar.bz2
gentoo-2a7c2347993cd4a2723b3a0177e4efde889016ef.zip
app-shells/quoter: Bump to 4.2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--app-shells/quoter/Manifest1
-rw-r--r--app-shells/quoter/quoter-4.2.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/app-shells/quoter/Manifest b/app-shells/quoter/Manifest
index 8172cd9b759..7d1b16b3e80 100644
--- a/app-shells/quoter/Manifest
+++ b/app-shells/quoter/Manifest
@@ -1 +1,2 @@
DIST quoter-3.0_p2.tar.gz 10691 BLAKE2B 2fb196977c5c16654813e6077c148577e4629da25fb1aaf2131c19e33fbfbc670ad4d9af87611405f0b45a1365bc7b4b3f1b8cad47573ffae4939cc0329d50a4 SHA512 23d77105fa05d79a7d0bcaa3f6aead25b7cb3b6f459d2740314616da587e03cd3e6b0b1e8af8f79904309bbe76603db848d42996ed7ae5ef779e27184a434fb5
+DIST quoter-4.2.tar.gz 11128 BLAKE2B 6b13a8eabae57c50c12dcbf9a65e28990ee6d74ee2c45c4a6127f5ed98c2ae029fd5d00f82444c46ab6a21057c6279e9f3d19c432f921d04ca3bf3eaa9507cb0 SHA512 0080ae6d5f5308b9e2f9e414619049f10246c221a9524f9f0dc0d329af3592694ae9d6ef6a086615b895c5f6598fbed7ec7164b5a847d11108fbe3687316c02d
diff --git a/app-shells/quoter/quoter-4.2.ebuild b/app-shells/quoter/quoter-4.2.ebuild
new file mode 100644
index 00000000000..71913b702e0
--- /dev/null
+++ b/app-shells/quoter/quoter-4.2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2016-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs
+
+DESCRIPTION="Quote arguments or standard input for usage in POSIX shell by eval"
+HOMEPAGE="https://github.com/vaeth/quoter/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
+
+src_configure() {
+ tc-export CC
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+
+ rm -f "${ED}"/usr/bin/quoter_pipe.sh || die
+ insinto /usr/share/${PN}
+ doins bin/quoter_pipe.sh
+}